cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/sign-attachment-urls \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"attachments":[{"path":"string","token":"string","mimetype":"image/png"}]}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/sign-attachment-urls';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"attachments":[{"path":"string","token":"string","mimetype":"image/png"}]}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/sign-attachment-urls',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({attachments: [{path: 'string', token: 'string', mimetype: 'image/png'}]}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"attachments\":[{\"path\":\"string\",\"token\":\"string\",\"mimetype\":\"image/png\"}]}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/base/%7BbaseId%7D/sign-attachment-urls", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"attachments": [
{
"token": "<string>",
"url": "<string>"
}
]
}project
Sign project attachment URLs
Generate signed URLs for attachment files in a project.
POST
/
base
/
{baseId}
/
sign-attachment-urls
cURL
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
The project ID
Cuerpo
application/json
List of attachments to sign
Show child attributes
Show child attributes
Respuesta
200 - application/json
URLs signed successfully
List of signed attachments with their tokens and URLs
Show child attributes
Show child attributes
Última modificación el 15 de septiembre de 2026
¿Esta página le ayudó?

